# stdex: stdex::parser::basic_branch< T > Class Template Reference

Loading...
Searching...
No Matches
stdex::parser::basic_branch< T > Class Template Reference

Test for any. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_branch< T >:

## Public Member Functions

| basic_branch (const std::shared_ptr< basic_parser< T > > *el=nullptr, size_t count=0, const std::locale &locale=std::locale())
| basic_branch (std::vector< std::shared_ptr< basic_parser< T > > > &&collection, const std::locale &locale=std::locale())
virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::parser_collection< T >
| parser_collection (const std::shared_ptr< basic_parser< T > > *el, size_t count, const std::locale &locale=std::locale())
| parser_collection (std::vector< std::shared_ptr< basic_parser< T > > > &&collection, const std::locale &locale=std::locale())
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)

## Public Attributes

size_t | hit_offset
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions

| basic_branch (const std::locale &locale)
Protected Member Functions inherited from stdex::parser::parser_collection< T >
| parser_collection (const std::locale &locale)

## Additional Inherited Members

Protected Attributes inherited from stdex::parser::parser_collection< T >
std::vector< std::shared_ptr< basic_parser< T > > > | m_collection
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_branch< T >

Test for any.

## Member Function Documentation

## invalidate()

template<class T >

virtual void stdex::parser::basic_branch< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::parser_collection< T >.

## match()

template<class T >

virtual bool stdex::parser::basic_branch< T >::match | ( | _In_reads_or_z_(end) const T * | text,
|  | size_t | start = `0`,
|  | size_t | end = `(size_t)-1`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp